### Method

# Handy Leaflet set_transition_type

since: 1.0

#### Declaration [src]

    void
    hdy_leaflet_set_transition_type (
      HdyLeaflet* self,
      HdyLeafletTransitionType transition
    )

#### Description [src]

Sets the animation type that will be used for transitions between modes and children.

The transition type can be changed without problems at runtime, so it is possible to change the animation based on the mode or child that is about to become current.

Available since: 1.0

Sets property | `Handy.Leaflet:transition-type`

#### Parameters

`transition`

  Type: `HdyLeafletTransitionType`

  The new transition type.